import matplotlib.pyplot as plt
from dos import plot
if __name__ == "__main__":
	# plt.rcParams['axes.linewidth'] = 0.5
	plt.rcParams["text.usetex"] = True
	plt.rcParams["text.latex.preamble"] = r"\usepackage{amsmath} \usepackage{amssymb} \usepackage{bm}"
	plt.rcParams['font.family'] = 'serif'
	plt.rcParams['font.serif'] = ['Times New Roman']
	
	fig, ax = plt.subplots(figsize=(5, 10), nrows=4, ncols=1)
	plot(ax[0], '3')
	plot(ax[1], '4')
	plot(ax[2], '5')
	plot(ax[3], '6')
	
	
	
	for i in range(3):
		ax[i].spines['bottom'].set_visible(False)
		ax[i].xaxis.set_visible(False)
		ax[i].set_ylabel(r'DOS ($\mathrm{states}\cdot\mathrm{eV^{-1}\cdot u.c.^{-1}}$)', fontsize=12)
		ax[i].legend(fontsize=10, frameon=False, loc='upper left')
		ax[i].set_xlim(-4, 4)
		ax[i].set_ylim(-2, 2)
	
	ax[1].yaxis.set_ticks_position('right')
	ax[1].yaxis.set_label_position('right')
	ax[3].yaxis.set_ticks_position('right')
	ax[3].yaxis.set_label_position('right')
	ax[3].set_xlabel(r'Energy (eV)', fontsize=12)
	ax[3].set_ylabel(r'DOS ($\mathrm{states}\cdot\mathrm{eV^{-1}\cdot u.c.^{-1}}$)', fontsize=12)
	ax[3].legend(fontsize=10, frameon=False, loc='upper left')
	ax[3].set_xlim(-3, 3)
	ax[3].set_ylim(-2, 2)
	
	ax[0].text(-0.30, 0.95, '$\mathbf{(a)}$', fontsize=20, transform=ax[0].transAxes)
	ax[1].text(-0.30, 0.95, '$\mathbf{(b)}$', fontsize=20, transform=ax[1].transAxes)
	ax[2].text(-0.30, 0.95, '$\mathbf{(c)}$', fontsize=20, transform=ax[2].transAxes)
	ax[3].text(-0.30, 0.95, '$\mathbf{(d)}$', fontsize=20, transform=ax[3].transAxes)
	
	plt.subplots_adjust(hspace=0.0, wspace=0.35)  # 增加或减少这个值来调整垂直间距
	plt.savefig('../figure/dos_merge.pdf', bbox_inches='tight')
